summaryrefslogtreecommitdiffstats
path: root/source/a
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-06-23 01:22:07 +0000
committer Eric Hameleers <alien@slackware.com>2018-06-23 09:00:32 +0200
commitd2e11a09b8bb3d8a99549aa2dde215c3f341d08e (patch)
treee99da8020f5be2a14a75039caff35a485a895871 /source/a
parentca85aab95397ae918088f8ba2195eb4eb996c739 (diff)
downloadcurrent-d2e11a09b8bb3d8a99549aa2dde215c3f341d08e.tar.gz
current-d2e11a09b8bb3d8a99549aa2dde215c3f341d08e.tar.xz
Sat Jun 23 01:22:07 UTC 201820180623012207
a/aaa_elflibs-15.0-x86_64-2.txz: Rebuilt. Upgraded libacl.so.1 and libattr.so.1. Added libaio.so.1 (needed by future versions of lvm). a/lvm2-2.02.177-x86_64-1.txz: Upgraded. Revert to the previous working version of lvm2. Based on the comments in the release notes for version 2.02.178, perhaps it would be prudent to sit out the next year and a half of planned instability. I can't recall ever _needing_ to upgrade LVM (the version number has been on 2.02.x for well over a decade)... let's avoid being beta testers as upstream refactors everything. isolinux/initrd.img: Rebuilt. Added libaio.so.1 (needed by future versions of lvm). usb-and-pxe-installers/usbboot.img: Rebuilt. Added libaio.so.1 (needed by future versions of lvm).
Diffstat (limited to 'source/a')
-rwxr-xr-xsource/a/aaa_elflibs/aaa_elflibs.SlackBuild2
-rw-r--r--source/a/aaa_elflibs/symlinks-to-tracked-libs1
-rwxr-xr-xsource/a/dialog/dialog.SlackBuild8
3 files changed, 6 insertions, 5 deletions
diff --git a/source/a/aaa_elflibs/aaa_elflibs.SlackBuild b/source/a/aaa_elflibs/aaa_elflibs.SlackBuild
index 9e5fe9c62..07c990816 100755
--- a/source/a/aaa_elflibs/aaa_elflibs.SlackBuild
+++ b/source/a/aaa_elflibs/aaa_elflibs.SlackBuild
@@ -23,7 +23,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=aaa_elflibs
VERSION=${VERSION:-15.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/a/aaa_elflibs/symlinks-to-tracked-libs b/source/a/aaa_elflibs/symlinks-to-tracked-libs
index 7215c44b8..6fb75a2c4 100644
--- a/source/a/aaa_elflibs/symlinks-to-tracked-libs
+++ b/source/a/aaa_elflibs/symlinks-to-tracked-libs
@@ -2,6 +2,7 @@
# like to keep copies of in the aaa_symlinks package.
/lib/libacl.so.1
+/lib/libaio.so.1
/lib/libattr.so.1
/lib/libbz2.so.1
/lib/libbz2.so.1.0
diff --git a/source/a/dialog/dialog.SlackBuild b/source/a/dialog/dialog.SlackBuild
index 1b8c159ba..87ded0946 100755
--- a/source/a/dialog/dialog.SlackBuild
+++ b/source/a/dialog/dialog.SlackBuild
@@ -22,8 +22,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=dialog
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1,2 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1,2 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,7 +70,7 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
zcat $CWD/dialog.smaller.min.height.diff.gz | patch -p1 --verbose || exit 1
@@ -93,7 +93,7 @@ CFLAGS="$SLKCFLAGS" \
--enable-nls \
--with-ncursesw \
--enable-widec \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make -j4 || exit 1